Projects users' roles cascade on sub-projects
2011-10-21 12:50 - Sylvain Corbet

Status: Closed Start date: 2011-10-21
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

Redmine sub-projects configuration for users roles are not heritated from the parent and from the parent of the parent if exists etc...

Redmine production version is currently 1.0.3

Related issues:
Is duplicate of Redmine - Feature #1878: Inherit parts of parent project by s... New 2008-09-09

History

#1 - 2011-10-25 02:05 - K. Scott Tripp

As far as | know, this is intentional behavior. It would be nice to have the option for a sub-project to use the users and groups of its parent, and to
automatically update when they are updated on the parent project.

#2 - 2011-10-25 08:55 - Sylvain Corbet

| understand why the sub-projects are not direcly linked for users and groups but it would be very nice to have the choice to link a project with the
parent.

Instead of settings users & groups for each sub-project, you just have to set the parent link for each sub-project or applying this rule within the entire
project in one click and "enable" heritage.

Sometimes, from my point of view, huge old projects are only followed by few users with the same roles at each branche.

Thank you very much for your response & excuse my english :)

#3 - 2011-10-26 20:47 - Mischa The Evil
- Status changed from New to Closed

- Resolution set to Duplicate

Closed as a dup of #1878.
